org.apache.poi.hslf.record

## Class ExHyperlink

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.ExHyperlink

- All Implemented Interfaces:
    GenericRecord

      public class ExHyperlink
      extends RecordContainer

  This class represents the data of a link in the document.
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ExHyperlink()` Create a new ExHyperlink, with blank fields
    `protected` | `ExHyperlink(byte[] source, int start, int len)` Set things up, and find our more interesting children

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `_getDetailsA()` Get the link details (field A)
    `java.lang.String` | `_getDetailsB()` Get the link details (field B)
    `ExHyperlinkAtom` | `getExHyperlinkAtom()` Returns the ExHyperlinkAtom of this link
    `java.lang.String` | `getLinkTitle()` Returns the hyperlink's user-readable name
    `java.lang.String` | `getLinkURL()` Returns the URL of the link.
    `long` | `getRecordType()` We are of type 4055
    `void` | `setLinkOptions(int options)`
    `void` | `setLinkTitle(java.lang.String title)`
    `void` | `setLinkURL(java.lang.String url)` Sets the URL of the link TODO: Figure out if we should always set both
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, getGenericProperties, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExHyperlink

          protected ExHyperlink(byte[] source,
                                int start,
                                int len)

      Set things up, and find our more interesting children

    - #### ExHyperlink

          public ExHyperlink()

      Create a new ExHyperlink, with blank fields

  - ### Method Detail

    - #### getExHyperlinkAtom

          public ExHyperlinkAtom getExHyperlinkAtom()

      Returns the ExHyperlinkAtom of this link

    - #### getLinkURL

          public java.lang.String getLinkURL()

      Returns the URL of the link.
      Returns:
        the URL of the link

    - #### getLinkTitle

          public java.lang.String getLinkTitle()

      Returns the hyperlink's user-readable name
      Returns:
        the hyperlink's user-readable name

    - #### setLinkURL

          public void setLinkURL(java.lang.String url)

      Sets the URL of the link TODO: Figure out if we should always set both

    - #### setLinkOptions

          public void setLinkOptions(int options)

    - #### setLinkTitle

          public void setLinkTitle(java.lang.String title)

    - #### _getDetailsA

          public java.lang.String _getDetailsA()

      Get the link details (field A)

    - #### _getDetailsB

          public java.lang.String _getDetailsB()

      Get the link details (field B)

    - #### getRecordType

          public long getRecordType()

      We are of type 4055
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.